Skip to main content
POST
/
bundles
/
{bundleId}
/
products
Add products to bundle
curl --request POST \
  --url https://api.agentic.scope3.com/api/v2/buyer/bundles/{bundleId}/products \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "products": [
    {
      "productId": "product_123",
      "salesAgentId": "agent_456",
      "groupId": "ctx_123-group-0",
      "groupName": "Publisher Name",
      "cpm": 12.5,
      "budget": 5000
    }
  ]
}
'
{
  "bundleId": "<string>",
  "products": [
    {
      "productId": "<string>",
      "salesAgentId": "<string>",
      "selectedAt": "<string>",
      "groupId": "<string>",
      "groupName": "<string>",
      "cpm": 123,
      "budget": 123
    }
  ],
  "totalProducts": 0,
  "budgetContext": {
    "sessionBudget": 123,
    "allocatedBudget": 123,
    "remainingBudget": 123,
    "budgetWarning": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API key or access token

Path Parameters

bundleId
string
required

Bundle ID

Minimum string length: 1
Example:

"abc123-def456-ghi789"

Body

application/json

Request to add products to a bundle

products
object[]
required

Products to add to the bundle

Minimum array length: 1

Response

Add products to bundle

Response containing bundle products

bundleId
string
required

Bundle ID

products
object[]
required

Selected products in the bundle

totalProducts
integer
required

Total number of selected products

Required range: -9007199254740991 <= x <= 9007199254740991
budgetContext
object

Budget allocation context